<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>

<!--MENU-->
<xsl:template match="MENU" mode="top">
<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
</xsl:template>

<!--MENU-ITEM-->
<xsl:template match="MENU-ITEM"  mode="top">
<xsl:choose>

<!-- active menu with link-->
<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	<td width="15"><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td valign="bottom"><a href="{@HREF}" class="amenu"><img src="images/bullet.gif" width="10" height="30" alt="" border="0"/></a></td>
	<td><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td valign="middle"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:when>


<xsl:otherwise>
	<td width="15"><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td valign="bottom"><a href="{@HREF}" class="menu"><img src="images/bullet.gif" width="10" height="30" alt="" border="0"/></a></td>
	<td><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td valign="middle"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:otherwise>
</xsl:choose>
</xsl:template>	

</xsl:stylesheet>
