<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="left"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
                <xsl:when test="@ID=/LAYOUT/@ID" >
   					<td class="asubmenu" style="background-image : url('images/asubmenu.gif'); background-position: top left; background-repeat: repeat-x;"><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
            		<xsl:if test="position()!=last()">
            			<td><img src="images/submenu_bullet.gif" class="submenu-bullet"/></td>
            		</xsl:if>
                </xsl:when>
                <xsl:otherwise>
					<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	   					<td style="padding-left:10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                		<xsl:if test="position()!=last()">
                			<td><img src="images/submenu_bullet.gif" class="submenu-bullet"/></td>
                		</xsl:if>
					</xsl:if>
                </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
  				<td class="padding10px" align="center" style="background-color : #E0AB78;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/bullet.gif" class="menu-bullet" align="absmiddle"/></a></td>
			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
  				<td class="padding10px" align="center"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/bullet.gif" class="menu-bullet" align="absmiddle"/></a></td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td><img src="images/separator.gif"/></td>
		</xsl:if>

	</xsl:template>
	

</xsl:stylesheet>
